Skip to navigation

Update document visibility for template recipients

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Request

This endpoint expects an object: templateDocumentVisibilityList

documentVisibilitylist of objectsOptional

A list of documentVisibility objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the enforceSignerVisibility property must be set to true.

Response

Successful response.
documentVisibilitylist of objectsOptional

A list of documentVisibility objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the enforceSignerVisibility property must be set to true.

Errors

400
Bad Request Error